create table widget (
    widgetid varchar(3) primary key,
    description varchar(50),
    price decimal (10,2)
);
create table storagebin ( 
    storagebinid varchar(3) primary key,  
    widgetid varchar(3),
    quantity integer,
    constraint fk_widgetid foreign key (widgetid) references widget(widgetid)
);

create table salesrep (
    salesrepid varchar(3) primary key,
    name varchar(24)
);
create table customer (
    customerid varchar(3) primary key,  
    salesrepid varchar(3),
    name varchar(24),
    constraint fk_salesrepid foreign key (salesrepid) references salesrep(salesrepid)
);

create table orders (
    orderid varchar(3) primary key,  
    customerid varchar(3),
    totalprice decimal(10,2),
    status varchar(10)
);
create table lineitems (
    itemno integer,
    orderid varchar(3),
    productid varchar(3),
    unitprice decimal(10,2),
    quantity integer,
    constraint fk_orderid foreign key (orderid) references orders(orderid)
);

create table student (
    studentid varchar(3) primary key,  
    name varchar(36)
);
create table course (
    courseid varchar(3) primary key,  
    name varchar(36)
);
create table enrollment (
    studentid varchar(3),  
    courseid varchar(3),  
    constraint fk_studentid foreign key (studentid) references student(studentid),
    constraint fk_courseid foreign key (courseid) references course(courseid)
);
